#ifndef __HW_H__
#define __HW_H__

#include "stdio.h"
#include <stdint.h>
#include <stdbool.h>
#include "stm32f10x.h"                  // Device header
#include "stm32f10x_it.h"
#include "hw-spi.h"
#include "hw-uart.h"
#include "hw-gpio.h"


#include "sx1281.h"
#include "sx1281-hal.h"

#include "boards.h"

#define USE_DMA

void HwInit( void );

void HwSetLowPower( void );

void HAL_Delay( uint32_t Delay );

void Error_Handler( void );

void Delay_s(uint16_t s);
void Delay_ms(uint16_t ms);
void Delay_us(uint16_t us);

#endif // __HW_H__
